import React from 'react';
import { RcFormlyWrapper } from '@rc-formly/core';
export class FormGroupWrapper extends RcFormlyWrapper {
    getFormGroupClassNames() {
        return `form-group ${this.hasErrors() ? 'has-error' : ''}`;
    }
    render() {
        const error = this.getFieldError();
        const touched = this.getFieldTouched();
        const formGroupClassNames = `form-group ${error && touched ? 'has-error' : ''}`;
        return (React.createElement("div", { className: formGroupClassNames },
            this.to.label && React.createElement("label", null, this.to.label),
            this.props.children,
            error && React.createElement("div", { className: "invalid-feedback" }, error)));
    }
}
//# sourceMappingURL=FormGroupWrapper.js.map